Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Interface SVGItem

All Known Implementing Classes:
  AbstractSVGItem, AbstractSVGLengthList.SVGLengthItem, AbstractSVGNormPathSegList.SVGPathSegGenericItem, AbstractSVGNumberList.SVGNumberItem, AbstractSVGPathSegList.SVGPathSegArcItem, AbstractSVGPathSegList.SVGPathSegCurvetoCubicItem, AbstractSVGPathSegList.SVGPathSegCurvetoCubicSmoothItem, AbstractSVGPathSegList.SVGPathSegCurvetoQuadraticItem, AbstractSVGPathSegList.SVGPathSegCurvetoQuadraticSmoothItem, AbstractSVGPathSegList.SVGPathSegItem, AbstractSVGPathSegList.SVGPathSegLinetoHorizontalItem, AbstractSVGPathSegList.SVGPathSegLinetoVerticalItem, AbstractSVGPathSegList.SVGPathSegMovetoLinetoItem, AbstractSVGPointList.SVGPointItem, AbstractSVGTransformList.SVGTransformItem

    public interface SVGItem

This interface represents an item in an SVGXXXList. The item is required to hold a reference to its parent list so that an item can be moved from one list to another. A string representation of the item is also required in order to update the value of the attribute the list containing the item represents. If the value of the item is changed, it is required to notify the list it belongs to in order to synchronized the list and the attribute the list represents.

See Also:
  `AbstractSVGList.itemChanged()`

Method Summary
`AbstractSVGList` | `getParent()` Return the list the item belongs to.
`String` | `getValueAsString()` Return the String representation of the item.
`void` | `setParent(AbstractSVGList list)` Associates an item to an SVGXXXList

Method Detail

### setParent

    void setParent(AbstractSVGList list)

  Associates an item to an SVGXXXList

  Parameters:
    `list` - list the item belongs to.

### getParent

    AbstractSVGList getParent()

  Return the list the item belongs to.

  Returns:
    list the item belongs to. This could be if the item belongs to no list.

### getValueAsString

    String getValueAsString()

  Return the String representation of the item.

  Returns:
    textual representation of the item to be inserted in the attribute value representing the list.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.